Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.db
Class HibernateRoleImpl

    java.lang.Object
      org.jboss.portal.identity.db.HibernateRoleImpl

All Implemented Interfaces:
  Role

    public class HibernateRoleImpl

extends java.lang.Object
implements Role

Version:
  $Revision: 5448 $
Author:
  Julien Viet , Thomas Heute , Roy Russo : roy at jboss dot org, Boleslaw Dawidowicz

Constructor Summary
`HibernateRoleImpl()`
`HibernateRoleImpl(java.lang.String name)`
`HibernateRoleImpl(java.lang.String name, java.lang.String displayName)`

Method Summary
`java.lang.String` | `getDisplayName()` The role display name used on screens.
`java.lang.Object` | `getId()` The role identifier.
`protected java.lang.Long` | `getKey()`
`java.lang.String` | `getName()` The role name used in security rules.
`java.util.Set` | `getUsers()`
`void` | `setDisplayName(java.lang.String displayName)`
`protected void` | `setKey(java.lang.Long key)` Called by hibernate.
`protected void` | `setName(java.lang.String name)` Called by hibernate.
`protected void` | `setUsers(java.util.Set users)` Called by hibernate.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HibernateRoleImpl

    public HibernateRoleImpl()

### HibernateRoleImpl

    public HibernateRoleImpl(java.lang.String name)

### HibernateRoleImpl

    public HibernateRoleImpl(java.lang.String name,
                             java.lang.String displayName)

Method Detail

### getKey

    protected java.lang.Long getKey()

### setKey

    protected void setKey(java.lang.Long key)

  Called by hibernate.

### setName

    protected void setName(java.lang.String name)

  Called by hibernate.

### setUsers

    protected void setUsers(java.util.Set users)

  Called by hibernate.

### getId

    public java.lang.Object getId()

  Description copied from interface: `Role`
  The role identifier.

  Specified by:
    `getId` in interface `Role`

### getName

    public java.lang.String getName()

  Description copied from interface: `Role`
  The role name used in security rules. This name can not be modified

  Specified by:
    `getName` in interface `Role`

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from interface: `Role`
  The role display name used on screens. This name can be modified

  Specified by:
    `getDisplayName` in interface `Role`

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Specified by:
    `setDisplayName` in interface `Role`

### getUsers

    public java.util.Set getUsers()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD